<?php
if ( post_password_required() ) {
	return;
}

if( !function_exists('ark_custom_comment_item') ):
function ark_custom_comment_item($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;

    if ( 'div' == $args['style'] ) {
        $tag = 'div';
    } else {
        $tag = 'li';
    }

    switch ( $comment->comment_type ) :
        case 'pingback' :
        case 'trackback' :
    ?>
    
    <<?php echo esc_attr($tag); ?> class="comment pingback">
        <p><?php esc_html_e('Pingback:', 'arktheme'); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__('Edit', 'arktheme'), '<span class="edit-link">', '</span>' ); ?></p>
    <?php
            break;
        default:
    ?>
    <<?php echo esc_attr($tag); ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
        <article class="pt2 pb2 border-bottom">
            <div class="uk-grid">
	            <div class="comment-avatar uk-width-auto">
	                <?php echo get_avatar( $comment, 60 ); ?>
	            </div>
	            <div class="uk-grid uk-child-width-1-1 uk-width-expand">
		            <div class="uk-grid uk-flex uk-flex-middle">
		                <a href="javascript:;" class="comment-author text-black uk-link-reset text-700 uk-width-expand"><?php echo get_comment_author(); ?></a>
		                <span class="comment-date"><?php printf( '%1$s', get_comment_date() ); ?> - <?php printf( '%1$s', get_comment_time() ); ?></span>
		                <span class="comment-reply">
		                    <span uk-icon="icon: reply;"></span><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		                </span>
		            </div>
		            <div class="comment-body">
		                <div class="comment-content mt2">
		                    <?php comment_text(); ?>
		                </div>
		            </div>
		        </div>
            </div>
        </article>
    <?php
            break;
    endswitch;
}
endif;
?>

<div id="comments" class="comments-area">
	<div class="uk-panel pb6">
	  	<div class="uk-flex uk-flex-between uk-flex-middle">
	  		<h3 class="uk-text-background section-title mb0">COMMENTS</h3>
		


		<?php if ( have_comments() ) : ?>
		<p class="m0">
			<?php
				$comments_number = get_comments_number();
				if ( 1 === $comments_number ) {
					/* translators: %s: post title */
					printf( _x( 'Comments &ldquo;%s&rdquo;', 'comments title', 'arktheme' ), get_the_title() );
				} else {
					printf(
						/* translators: 1: number of comments, 2: post title */
						_nx(
							'Our discussion have <span class="text-700">%1$s</span> comment',
							'Our discussion have <span class="text-700">%1$s</span> comments',
							$comments_number,
							'plugins',
							'arktheme'
						),
						number_format_i18n( $comments_number ),
						get_the_title()
					);
				}
			?>
		</p>
		</div>
	</div>
	<?php the_comments_navigation(); ?>

		<li class="comment-list link-style-type-none">
			<?php
				wp_list_comments( array(
					'style'       => 'li',
					'short_ping'  => true,
					'avatar_size' => 60,
					'callback'    => 'ark_custom_comment_item'
				) );
			?>
		</li><!-- .comment-list -->

		<?php the_comments_navigation(); ?>

	<?php endif; // Check for have_comments(). ?>
	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	    echo '<p class="no-comments">'.esc_html_e('Comments are closed.', 'arktheme').'</p>';
	endif;
	    $req = get_option( 'require_name_email' );
	    $aria_req = ( $req ? " aria-required='true'" : '' );
	    comment_form(
	        array(
	            'title_reply' => esc_attr__('Leave a comment', 'arktheme'),
	            'comment_notes_after' => '',
	            'class_submit' => 'button',
	            'title_reply_before' => '<div class="uk-panel pt6 pb6"><div class="uk-flex uk-flex-between uk-flex-middle"><h3 class="uk-text-background uk-text-uppercase section-title mb0 leave-reply">',
	           	'title_reply_after'  => '</h3></div>
	            </div>',
	            'fields' => array(
	                'author' => '<div class="uk-grid uk-grid-medium uk-child-width-expand@s">
	                                    <div>
	                                        <input id="author" class="uk-input" name="author" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
	                                    '"  placeholder="'.esc_attr__('Name *', 'arktheme').'" ' . $aria_req . ' /></div>',

	                'email' => '<div class="emailresponsive">
	                                <input id="email" class="uk-input" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .
	                                '"  placeholder="'.esc_attr__('Email *', 'arktheme').'" ' . $aria_req . ' /></div></div>',
	            ),
	            'comment_field' => '<div class="uk-grid uk-grid-medium uk-child-width-expand@s"><div class="uk-width-1-1">
	                                <textarea id="comment" class="uk-textarea uk-height-small pt1" name="comment" placeholder="'.esc_attr__('Comments', 'arktheme').'"></textarea></div></div>'
	        )
	    );?>

	<?php
	
	?>

</div><!-- .comments-area -->
