<?php
require_once (get_template_directory() . '/includes/themeton-redux/sample-options.php');

function load_stylesheets(){
	wp_enqueue_style( 'font-awesome', '/css/font-awesome.min.css' );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.css' );
	wp_enqueue_style( 'uikitcss', get_template_directory_uri() . '/vendors/uikit/css/uikit.min.css' );
	wp_enqueue_style( 'swipercss', get_template_directory_uri() . '/vendors/swiper/css/swiper.css' );
	wp_enqueue_style( 'blog', get_template_directory_uri() . '/css/blog.css' );
	wp_enqueue_style( 'scrolling-nav', get_template_directory_uri() . '/css/scrolling-nav.css' );
	wp_enqueue_style( 'helpers', get_template_directory_uri() . '/css/helpers.css' );
	wp_enqueue_style( 'main', get_template_directory_uri() . '/css/main.css' );
	wp_enqueue_style( 'redux', get_template_directory_uri() . '/css/redux.css' );
}

function load_scripts() {
	wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/js/jquery.easing.min.js', array('jquery') );
	wp_enqueue_script('scrolling-nav', get_template_directory_uri() . '/js/scrolling-nav.js', array('jquery') );
	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery') );
	wp_enqueue_script('appear', get_template_directory_uri() . '/js/jquery.appear.js', array('jquery') );
	wp_enqueue_script( 'uikitjs', get_template_directory_uri() . '/vendors/uikit/js/uikit.min.js', array('jquery') );
	wp_enqueue_script( 'uikiticonsjs', get_template_directory_uri() . '/vendors/uikit/js/uikit-icons.min.js', array('jquery') );
	wp_enqueue_script( 'swiperjs', get_template_directory_uri() . '/vendors/swiper/js/swiper.jquery.min.js', array('jquery') );
	wp_enqueue_script( 'isotope', get_template_directory_uri() . '/vendors/isotope/isotope.pkgd.min.js', array('jquery') );
	wp_enqueue_script('general', get_template_directory_uri() . '/js/general.js', array('jquery') );
}

add_action( 'wp_enqueue_scripts', 'load_scripts' );
add_action( 'wp_enqueue_scripts','load_stylesheets' );

/**
 * Require plugins.
 */
require get_template_directory() . '/includes/plugins.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/includes/template-tags.php';

/**
 * Walker.
 */
require get_template_directory() . '/includes/ark-walker.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/includes/themeton-redux/admin-init.php';


function removeDemoModeLink() { // Be sure to rename this function to something more unique
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
    }
}
add_action('init', 'removeDemoModeLink');

/**
 * Custom template tags for this theme.
 */
add_theme_support('title-tag');
add_theme_support('post-thumbnails');
add_theme_support('automatic-feed-links');
set_post_thumbnail_size( 1200, 675, true );
if ( ! isset( $content_width ) ) $content_width = 900;

add_theme_support( 'post-formats', array(
	'image',
	'video',
	'link',
	'gallery',
) );

/**
 * Set Images sizes.
 */
add_image_size( 'ark-post-thumbnail', 373, 248, true );
add_image_size( 'ark-gallery', 300, 290, true );


/*
 * Enable support for custom logo.
 */
add_theme_support( 'custom-logo', array(
  'height'      => 240,
  'flex-width' => true,
) );

/**
 * Register menu.
 */
function register_my_menu() {
  register_nav_menu('primary',__( 'Header Menu', 'arktheme' ));
}
add_action( 'init', 'register_my_menu' );

/**
* Register siderbar widgets.
*/
function sidebar_widgets_init() {
	register_sidebar( array(
		'name'			=> 'Sidebar widgets',
		'id'			=> 'sidebar_widgets',
		'before_widget'	=> '<div class="mb3 widget">',
		'after_widget'	=> '</div>',
		'before_title'	=> '<h3 class="uk-h3 text-300">',
		'after_title'	=> '</h3>',
	) );
}
add_action( 'widgets_init', 'sidebar_widgets_init');

/**
* Register footer widgets.
*/
function footer_widgets_init() {
	register_sidebar( array(
		'name'			=> 'Footer widgets',
		'id'			=> 'footer_widgets',
		'before_widget'	=> '<div class="footer-column">',
		'after_widget'	=> '</div>',
		'before_title'	=> '<h5 class="uk-h5 mb7">',
		'after_title'	=> '</h5>',
	) );
}
add_action( 'widgets_init', 'footer_widgets_init');

/**
* Register social widgets.
*/
function social_widget_area_init() {
	register_sidebar( array(
		'name'			=> 'Social widgets',
		'id'			=> 'social_widget_area',
		'before_widget'	=> '<ul class="mb0 uk-width-1-1">',
		'after_widget'	=> '</ul>',
		'before_title'	=> '<li>',
		'after_title'	=> '</li>',
	) );
}
add_action( 'widgets_init', 'social_widget_area_init');

require get_template_directory() . '/includes/widgets/social-links.php';
require get_template_directory() . '/includes/widgets/address.php';

if(function_exists("register_field_group"))
{
	register_field_group(array (
		'id' => 'acf_portfolio-fields',
		'title' => 'Portfolio Fields',
		'fields' => array (
			array (
				'key' => 'field_5975710a4ec88',
				'label' => 'Width',
				'name' => 'width',
				'type' => 'select',
				'instructions' => 'Select width of the portfolio.',
				'required' => 1,
				'choices' => array (
					'grid-item' => '1 width (20%)',
					'grid-item--width2' => '2 width (40%)',
					'grid-item--width3' => '3 width (60%)',
					'grid-item--width4' => '4 width (80%)',
				),
				'default_value' => 'grid-item : 1 width (20%)',
				'allow_null' => 0,
				'multiple' => 0,
			),
			array (
				'key' => 'field_597573428f203',
				'label' => 'Height',
				'name' => 'height',
				'type' => 'select',
				'instructions' => 'Select height of the portfolio.',
				'required' => 1,
				'choices' => array (
					'grid-item--height1' => '1 height (254px)',
					'grid-item--height2' => '2 height (508px)',
					'grid-item--height3' => '3 height (762px)',
					'grid-item--height4' => '4 height (1016px)',
				),
				'default_value' => 'grid-item--height1 : 1 height (254px)',
				'allow_null' => 0,
				'multiple' => 0,
			),
		),
		'location' => array (
			array (
				array (
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'portfolio',
					'order_no' => 0,
					'group_no' => 0,
				),
			),
		),
		'options' => array (
			'position' => 'side',
			'layout' => 'no_box',
			'hide_on_screen' => array (
			),
		),
		'menu_order' => 0,
	));
}
