jQuery(document).ready(function($) {

  $('[data-bg-image]').each(function(){
		$(this).css({ 'background-image': 'url('+$(this).data('bg-image')+')' });
	});

  //transition numbers
  var started = false;
  $('.count').appear();
  $('.count').on('appear', function(event, $all_appeared_elements) {
    if (!started){
      $('.count').each(function () {
        started = true;
        $(this).prop('Counter',0).animate({
            Counter: $(this).text()
        }, {
            duration: 4000,
            easing: 'swing',
            step: function (now) {
                $(this).text(Math.ceil(now));
            }
        });
      });

      var TeamSwiper = new Swiper ('.swiper-container', {
        // Optional parameters
        pagination: '.swiper-pagination',
        slidesPerView: 2,
        paginationClickable: true
      });

      var IntroSwiper = new Swiper ('.swiper-container-intro', {
        // Optional parameters
        pagination: '.swiper-pagination',
        slidesPerView: 1,
        effect: 'fade',
        paginationClickable: true
      });

    }
  });
  $(window).load(function(){


    UIkit.nav('#primary-offcanvas','multiple: true');
    // Masonry Blog
    var $blog = $('.blog-masonary').isotope({
        itemSelector: '.grid-item3',
        percentPosition: true,
        masonry: {
          columnWidth: '.grid-sizer3'
        }
    });

    ///Isotope portfolio
    var $grid = $('.grid').isotope({
      itemSelector: '.grid-item',
      percentPosition: true,
      masonry: {
        columnWidth: '.grid-sizer'
      },
      getSortData: {
          category: '[data-category]',
        }
    });

    // filter functions
    var filterFns = {
    };

    // bind filter button click
    $('#filters').on( 'click', 'button', function() {
      var filterValue = $( this ).attr('data-filter');
      // use filterFn if matches value
      filterValue = filterFns[ filterValue ] || filterValue;
      $grid.isotope({ filter: filterValue });
    });
    // change is-checked class on buttons
    $('.button-group').each( function( i, buttonGroup ) {
      var $buttonGroup = $( buttonGroup );
      $buttonGroup.on( 'click', 'button', function() {
        $buttonGroup.find('.is-checked').removeClass('is-checked');
        $( this ).addClass('is-checked');
      });
    });
  });

  var scrolluikit = UIkit.scroll('.menu-item-type-custom > a', {
      duration: 1000,
      offset: 100,
  });

  var parallax = document.querySelectorAll(".parallax"),
      speed = 0.5;

  window.onscroll = function(){
    //navbar collapse on scroll
    if ($(".navbar").offset().top > 50) {
        $(".navbar-fixed-top").addClass("top-nav-collapse");
    } else {
        $(".navbar-fixed-top").removeClass("top-nav-collapse");
    }

    //parallax
    var bodyRect = document.body.getBoundingClientRect();
    [].slice.call(parallax).forEach(function(el,i){
      var elemRect = el.getBoundingClientRect(),
          offset   = elemRect.top - bodyRect.top,
          windowYOffset = window.pageYOffset - offset,
          elBackgrounPos = "0% " + (windowYOffset * speed) + "px";
      el.style.backgroundPosition = elBackgrounPos;
    });
  };
})
